> ## Documentation Index
> Fetch the complete documentation index at: https://docs.makelocalads.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List ad campaigns

> Lists campaign summaries newest first. Retrieve a campaign for its creatives.



## OpenAPI

````yaml /api/openapi.yaml get /campaigns
openapi: 3.1.0
info:
  title: LocalAds API
  version: 1.0.0
  description: Public API for LocalAds customer integrations.
servers:
  - url: https://makelocalads.com/api/v1
security:
  - apiKey: []
paths:
  /campaigns:
    get:
      summary: List ad campaigns
      description: >-
        Lists campaign summaries newest first. Retrieve a campaign for its
        creatives.
      operationId: listCampaigns
      parameters:
        - $ref: '#/components/parameters/ProductFilter'
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Cursor'
      responses:
        '200':
          description: A page of campaigns.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CampaignList'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  parameters:
    ProductFilter:
      name: product_id
      in: query
      required: false
      description: Only return items for this product.
      schema:
        type: string
        format: uuid
    Limit:
      name: limit
      in: query
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 20
    Cursor:
      name: cursor
      in: query
      schema:
        type: string
      description: Opaque cursor returned by the previous page.
  schemas:
    CampaignList:
      type: object
      required:
        - data
        - next_cursor
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/CampaignSummary'
        next_cursor:
          type:
            - string
            - 'null'
    CampaignSummary:
      type: object
      required:
        - id
        - brand_id
        - product_id
        - name
        - status
        - requested_creative_count
        - completed_creative_count
        - failed_creative_count
        - created_at
        - updated_at
      properties:
        id:
          type: string
          format: uuid
        brand_id:
          type: string
          format: uuid
        product_id:
          type: string
          format: uuid
        name:
          type: string
        status:
          type: string
          enum:
            - queued
            - in_progress
            - completed
            - failed
            - canceled
        requested_creative_count:
          type: integer
        completed_creative_count:
          type: integer
        failed_creative_count:
          type: integer
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    Problem:
      type: object
      required:
        - type
        - title
        - status
        - detail
        - code
        - request_id
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        code:
          type: string
        request_id:
          type: string
  responses:
    BadRequest:
      description: Invalid request.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
    Unauthorized:
      description: Missing or invalid API key.
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
    Forbidden:
      description: >-
        The API key lacks the required permission (`insufficient_permission`),
        the organization's plan does not include API access
        (`plan_upgrade_required`; Pro and Enterprise only), or the organization
        is suspended (`org_suspended`).
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
    RateLimited:
      description: API key rate limit exceeded.
      headers:
        Retry-After:
          schema:
            type: integer
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: lads_...

````